#!/bin/sh
source /etc/vdr.d/conf/gen2vdr.cfg

execCmd() {
   echo "Exec <$1>" |tee -a /tmp/init.log
   $1
}

if [ -f /.autoinst ] ; then
   MP_AUTO_INST="$(cat /.autoinst 2>/dev/null)"
   rm /.autoinst
else
   MP_AUTO_INST="1"
fi  

/_config/bin/query_con.sh -switch

# Install updates
MD5_FILE="/_config/update/g2v_md5_fixes"
if [ -f $MD5_FILE ] ; then
   for i in $(grep "\.tar\.bz2" $MD5_FILE | cut -f 3 -d " ") ; do
      FN=$(echo $i | cut -f 1 -d ".")
      if [ -f /_config/update/$FN.sh ] ; then
         echo "Starte <sh /_config/update/$FN.sh>"
         sh /_config/update/$FN.sh
      fi
   done
   rm $MD5_FILE > /dev/null 2>&1 
   /_config/bin/query_con.sh -switch   
fi   

chmod +x /_config/bin/* /_config/*/*.sh /usr/bin/*

# Initialize Konfiguration
#execCmd "sh /_config/bin/detect_modules.sh"
execCmd "sh /_config/bin/default_cfg.sh"
execCmd "sh /_config/bin/detect_dvb.sh"
execCmd "sh /_config/bin/detect_cpu.sh"
execCmd "sh /_config/bin/detect_net.sh"
execCmd "sh /_config/bin/detect_x.sh"

/_config/bin/query_con.sh -switch

if [ -s /mnt/data/portage/packages/g2v.pkg ] ; then
   DO_PKG=0
   if [ "$MP_AUTO_INST" != "1" ] ; then
      dialog --yesno "Sollen die Zusatz-Pakete installiert werden ?" 0 0
      if [ $? = 0 ] ; then
         DO_PKG=1
      fi
   else
      DO_PKG=1
   fi      
   if [ "$DO_PKG" = "1" ] ; then
      # Migrate old config
      execCmd "sh /_config/bin/g2v_packages.sh"
   fi   
fi

#set -x

if [ -s /mnt/data/g2v-backup/etc/vdr.d/conf/vdr ] || [ -s /mnt/data/g2v-backup/etc/conf.d/vdr ] ; then
   DO_MIGRATE=0
   if [ "$MP_AUTO_INST" != "1" ] ; then
      dialog --yesno "Soll die alte Konfiguration migriert werden ?" 0 0
      if [ $? = 0 ] ; then
         DO_MIGRATE=1
      fi
   else
      DO_MIGRATE=1
   fi      
   if [ "$DO_MIGRATE" = "1" ] ; then
      # Migrate old config
      execCmd "sh /_config/bin/g2v_migrate.sh"
   fi
fi

										       
mkdir /mnt/data/audio/images >/dev/null 2>&1
cp -f /etc/vdr/plugins/mp3/* /mnt/data/audio/images/ >/dev/null 2>&1
cp /_config/install/vdr/setup.conf /etc/vdr/

VDRUSER="root"

chown ${VDRUSER}:users /mnt/data/* /mnt/data/*/*
chown -R ${VDRUSER} /etc/vdr
chown -R vdr:users /home/vdr

rm -f /_config/status/* > /dev/null 2>&1

chmod +x /_config/bin/* /_config/*/*.sh /usr/bin/*
[ -f /default.conf ] && /_config/bin/g2v_setvars.sh /default.conf

echo "Einstellungen konfigurieren ..."
[ -f /etc/vdr/plugins/admin/admin.conf.save ] && rm -f /etc/vdr/plugins/admin/admin.conf.save
sh /etc/vdr/plugins/admin/admin_changes.sh -f

echo "System initialisieren ..."

depscan.sh >/dev/null 2>&1
ldconfig
depmod -a
update-modules

# Lade Boot-Manager
source /etc/vdr.d/conf/vdr
if [ "$(/_config/bin/query_mb.sh)" = "ACTIVY" ] ; then
   grub-install /dev/hda
else   
   lilo
fi   
sync&&sync

sed -i /etc/inittab -e "s%/_config/install/g2v_install.sh%/sbin/rc boot%"

echo "Weitere Anpassungen ueber VDR-Menu->Einstellungen->Plugins->Admin"
echo "Das Menu wird mit der Tab-Taste aufgerufen."
echo ""
echo "Das Passwort fuer den root-user lautet: <gen2vdr>"

